var channelAdIds = {
    "default":["1","2","3","4"],
    "929":["1"],        //TVApp for PC/MAC
    "101":["2"],        //凤凰资讯
    "128":["1","2"],    //东森财经
};

var globalConfig = {
    minShowInterval: 1000 * 60 * 5    //最小显示广告间隔(单位：毫秒)
};

var lastShowedTime;

function onAdFinish(ad,jumped){
    lastShowedTime = new Date();
}

function getAd(channel,location,type){
    if(globalConfig.minShowInterval > 0 && lastShowedTime){
        if(new Date().getTime() - lastShowedTime.getTime() < globalConfig.minShowInterval)
            return "";
    }

    var ids = channelAdIds[channel.id];
    if(!ids || ids.length == 0)
        ids = channelAdIds["default"];

    if(ids && ids.length > 0){
        var ad;
        for(var i = 0; i < ids.length; i ++){
            var tmpAd = adContext.getAd(ids[i]);
            if(!tmpAd)
                continue;

            if(location > 0 && tmpAd.location != location)
                continue;

            if(type > 0 && tmpAd.type != type)
                continue;

            if(!ad)
                ad = tmpAd;
            else if(tmpAd.showTimes < ad.showTimes)
                ad = tmpAd;
        }
        return ad ? ad.id : "";
    }
}

